
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif,'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    scroll-behavior: smooth;
}

:root {
    --cor-principal: #111111;
    --cor-acento: #0071e3;
    --cor-fundo-claro: #f5f5f7;
    --cor-texto-mutado: #6e6e73;
}

body {
    background-color: #dcd4d4;
    color: var(--cor-principal);
    line-height: 1.6;
    overflow-x: hidden;
}


/* Navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 8%;
    position: sticky;
    top: 0;
    background: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    z-index: 100;
}

:link:hover {
  outline: dotted rgb(167, 156, 7);
}

.foo:hover {
  background:rgb(167, 156, 7);

}

.logo {
    font-weight: 700;
    font-size: 1.3rem;
    letter-spacing: -0.5px;
}

.nav-links {
    display: flex;
    list-style: none;
    gap: 30px;
    align-items: center;
}

.nav-links a {
    text-decoration: none;
    color: var(--cor-principal);
    font-weight: 500;
}

.btn-nav {
    border: 1px solid var(--cor-principal);
    padding: 8px 16px;
    border-radius: 20px;
    font-size: 0.9rem;
}

/* Hero Section */
.hero {
    height: 85vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 20px;
}

.hero-content {
    max-width: 850px;
}



.hero{

    min-height:20vh;

    display:flex;

    justify-content:center;

    align-items:center;

    text-align:center;

    padding:100px 20px;

}

.hero h1{

    font-size:3rem;

    font-weight:700;

    max-width:100px;

    margin:auto;

}

.hero p{

    margin-top:25px;

    font-size:1.2rem;

    color:#666;

}

.btn{

    display:inline-block;

    margin-top:40px;

    padding:15px 35px;

    background:#111;

    color:white;

    border-radius:50px;

    text-decoration:none;

    transition:.3s;

}

.btn:hover{

    background:#444;

}

.efeitoletras {
text-align: center;
  font-size: 1rem;
  }  

  .efeitoletras:hover {
    font-size: 1.8rem;
  }

/* PROJECTS */

.projects{

    padding:100px 50px;

}

.projects h2{

    text-align:center;

    margin-bottom:60px;

    font-size:2.8rem;

}

.projects-grid{

    display:grid;

    grid-template-columns:repeat(auto-fit,minmax(330px,1fr));

    gap:35px;

}

.project-card{

    background:white;

    border-radius:20px;

    overflow:hidden;

    box-shadow:0 15px 40px rgba(0,0,0,.08);

    transition:.35s;

}

.project-card:hover{

    transform:translateY(-8px);

}

.project-card img{

    width:100%;

    height:240px;

    object-fit:cover;

}

.project-info{

    padding:25px;

}

.project-info span{

    color:#777;

    font-size:.9rem;

}

.project-info h3{

    margin:15px 0;

}

.project-info p{

    color:#555;

    line-height:1.6;

}

.tags{

    display:flex;

    gap:10px;

    flex-wrap:wrap;

    margin:20px 0;

}

.tags small{

    background:#efefef;

    padding:7px 15px;

    border-radius:30px;

}

.project-info a{

    text-decoration:none;

    color:#111;

    font-weight:600;

}

.typing{

    overflow:hidden;

    border-right:4px solid #111;

    white-space:nowrap;

    width:0;

    animation:
        typing 5s steps(65,end) forwards,
        blink .7s infinite;

}

@keyframes typing{

    from{
        width:0;
    }

    to{
        width:100%;
    }

}

@keyframes blink{

    50%{
        border-color:transparent;
    }

}

/* FORMULÀRIO LETS TALK */

.contact-section{

    position:relative;

    min-height:100vh;

    display:flex;
    justify-content:center;
    align-items:center;

    overflow:hidden;

    padding:80px 20px;

    background:
    radial-gradient(circle at top left,#3a393a33,transparent 40%),
    radial-gradient(circle at bottom right,#41414133,transparent 40%),
    #484848;

}

/* Blurs */

.blur{

    position:absolute;
    border-radius:50%;
    filter:blur(120px);
    z-index:0;

}

.blur1{

    width:320px;
    height:320px;

    background:#094938;

    top:-80px;
    left:-80px;

}

.blur2{

    width:280px;
    height:280px;

    background:#034a29;

    right:-80px;
    bottom:-80px;

}

.contact-card{

    position:relative;
    z-index:2;

    width:100%;
    max-width:1150px;

    display:grid;
    grid-template-columns:1fr 1fr;

    gap:50px;

    padding:55px;

    border-radius:30px;

    background:rgba(255,255,255,.08);

    backdrop-filter:blur(18px);

    -webkit-backdrop-filter:blur(18px);

    border:1px solid rgba(255,255,255,.15);

    box-shadow:0 20px 60px rgba(0,0,0,.45);

}

.subtitle{

    color:#ffffff;

    letter-spacing:2px;

    font-size:13px;

    font-weight:700;

}

.contact-info h2{

    margin:20px 0;

    font-size:3rem;

    color:white;

}

.contact-info p{

    color:#cbd5e1;

    line-height:1.8;

    margin-bottom:40px;

}

.socials{

    display:flex;
    flex-direction:column;
    gap:18px;

}

.socials a{

    display:flex;
    align-items:center;
    gap:15px;

    text-decoration:none;

    color:white;

    padding:16px 22px;

    border-radius:14px;

    background:rgba(255,255,255,.06);

    transition:.35s;

}

.socials a:hover{

    background:#919192;

    transform:translateX(8px);

}

.socials i{

    font-size:22px;

}

.contact-form{

    display:flex;

    flex-direction:column;

    gap:18px;

}

.contact-form input,
.contact-form textarea{

    width:100%;

    padding:18px;

    border-radius:14px;

    border:none;

    outline:none;

    background:rgba(76, 76, 76, 0.08);

    color:white;

    font-size:16px;

    transition:.3s;

}

.contact-form input::placeholder,
.contact-form textarea::placeholder{

    color:#c5dacd;

}

.contact-form input:focus,
.contact-form textarea:focus{

    box-shadow:0 0 0 2px #8c8f54;

    background:rgba(255,255,255,.12);

}

.contact-form button{

    margin-top:10px;

    padding:18px;

    border:none;

    border-radius:14px;

    cursor:pointer;

    color:white;

    font-size:17px;

    font-weight:600;

    background:linear-gradient(135deg,#18642b,#075024);

    transition:.35s;

}

.contact-form button:hover{

    transform:translateY(-4px);

    box-shadow:0 20px 40px rgba(187, 197, 122, 0.35);

}

@media(max-width:900px){

.contact-card{

grid-template-columns:1fr;

}

.contact-info h2{

font-size:2.3rem;

}

}

.siteprimeiro {
    text-align: center;
    display: inline-block;
    padding: 30px;
}

.arranjarimagens {
       display: flex;
  justify-content: space-between;
  gap: 20px;
    }
    .arranjarimagens img {
      width: 33.33%;
  height: auto;
  object-fit: cover;
    }

    .direto {
          display: inline-block;
  padding: 14px 35px;
  background: #009688;
  color: white;
  text-decoration: none;
  font-size: 16px;
  font-weight: bold;
  border-radius: 50px;
  position: relative;
  overflow: hidden;
  transition: 0.4s ease;
  z-index: 1;
    }

    
   

.gallery{
display:inline-block;
grid-template-columns:repeat(auto-fit,minmax(50%,1fr));
gap: 50px;
width:100%;
max-width:1400px;
padding:50px;
}

.cardi{
height:500px;
border-radius:26px;
overflow:hidden;
position:relative;
cursor:pointer;
transform-style:preserve-3d;
transition:transform .15s linear;
background:#111;

}

.cardi img{
position:absolute;
width:100%;
height:100%;
object-fit:cover;
transition:transform .5s ease;

}

.cardi::before{

content:'';
position:absolute;
inset:0;
background:radial-gradient(circle at var(--x) var(--y),
rgba(255,255,255,.28),
transparent 45%);
opacity:0;
transition:.25s;
z-index:2;

}

.cardi::after{

content:'';
position:absolute;
inset:0;
background:linear-gradient(to top,
rgba(0,0,0,.55),
transparent 45%);
z-index:1;

}

.labeli{

position:absolute;
right: 30px;
left:30px;
bottom:28px;
font-size:34px;
font-weight:700;
letter-spacing:4px;
color:white;
transform:translateY(25px);
opacity:0;
transition:.4s;
z-index:3;

}

.cardi:hover img{

transform:scale(1.08);

}

.cardi:hover .label{

opacity:1;
transform:translateY(0);

}

.cardi:hover::before{

opacity:1;

}

.gate{
    display:grid;
    grid-template-columns:repeat(5, 1fr);
    width:100%;
    gap: 10px;
}

.gate img{
    width:100%;
    aspect-ratio:1/1;      /* quadradas */
    object-fit:cover;
    display:block;
    transition:.4s;
}

.gate img:hover{
    transform:scale(1.05);
}

.tipoletrass {
    text-align: center;
    padding-bottom: 30px;
    padding-top: 20px;
    }